org.apache.maven.scm.provider.git

## Class GitConfigFileReader

- java.lang.Object
- - org.apache.maven.scm.provider.git.GitConfigFileReader

    public class GitConfigFileReader
    extends Object

Version:
  $Id: GitConfigFileReader.java 660014 2008-05-25 18:44:48Z hboutemy $
Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`GitConfigFileReader()`

### Method Summary

Methods
`File` `getConfigDirectory()`
`String` `getProperty(String group, String propertyName)`
`void` `setConfigDirectory(File configDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitConfigFileReader

    public GitConfigFileReader()

### Method Detail

#### getConfigDirectory

    public File getConfigDirectory()

#### setConfigDirectory

    public void setConfigDirectory(File configDirectory)

#### getProperty

    public String getProperty(String group,
                     String propertyName)